<script setup>
import { computed } from 'vue';

const props = defineProps({
    href: String,
    activated: Boolean,
});

const defaultClasses = 'text-xl font-medium px-6 py-5 ';

const classes = computed(() => {
    return props.activated
        ? defaultClasses + 'text-black bg-white'
        : defaultClasses + 'text-white hover:bg-white hover:text-black';
});
</script>

<template>
    <Link :href="href" :class="classes">
        <slot />
    </Link>
</template>
